# Path.Step (Slick - The 2D Library)
Date: 2013-06-03

## org.newdawn.slick.util.pathfinding
Class Path.Step

    java.lang.Object
      org.newdawn.slick.util.pathfinding.Path.Step

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  Path

    public class Path.Step

extends java.lang.Object
implements java.io.Serializable

A single step within the path

Author:
  Kevin Glass
See Also:
  Serialized Form

Constructor Summary
`Path.Step(int x, int y)` Create a new step

Method Summary
`boolean` `equals(java.lang.Object other)`
`int` `getX()` Get the x coordinate of the new step
`int` `getY()` Get the y coordinate of the new step
`int` `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Path.Step

    public Path.Step(int x,
                     int y)

  Create a new step

  Parameters:
    `x` - The x coordinate of the new step
    `y` - The y coordinate of the new step

Method Detail

### getX

    public int getX()

  Get the x coordinate of the new step

  Returns:
    The x coodindate of the new step

### getY

    public int getY()

  Get the y coordinate of the new step

  Returns:
    The y coodindate of the new step

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`
  See Also:
    `Object.hashCode()`

### equals

    public boolean equals(java.lang.Object other)

  Overrides:
    `equals` in class `java.lang.Object`
  See Also:
    `Object.equals(Object)`

Copyright © 2006 New Dawn Software. All Rights Reserved.